/* SMG2 serial line abstract prototypes; (C)2012-2014 Jaroslav Fojtik, Licence LGPL. */
#ifndef __SERIAL_H__
#define __SERIAL_H__


#ifdef _WIN32
  typedef HANDLE T_COM;
  #define INVALID_HANDLE	NULL  
#else
  typedef int T_COM;
  #define Sleep(n) usleep(1000*n)
  #define INVALID_HANDLE	-1
#endif


T_COM open_serial(const char *devname);
int set_serial_line(T_COM HCom, int baud);
void close_serial_line(T_COM HCom);
int restore_serial_line(T_COM fd);

int write_serial(T_COM HCom, const char *DATA, unsigned size);
int read_serial(T_COM HCom, char *DATA, unsigned size);



#endif /* __SERIAL_H_ */
